> For the complete documentation index, see [llms.txt](https://docs.mapsindoors.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapsindoors.com/sdks-and-frameworks/ios/displaying-objects/turn-off-collisions-based-on-zoom-level.md).

# Turn Off Collisions Based on Zoom Level

First, you must define your zoom range, where you wish for the behaviour to occur. Then, if not already done for other purposes in your code, you must implement `MPMapControlDelegate` on your view controller, and then use it to listen for changes in `didChangeCameraPosition()`.

```swift
// Define zoom range
let minZoom = 16.0
let maxZoom = 22.0
let zoomRange = (minZoom...maxZoom)

// 1. Adhere to MPMapControlDelegate in your view controller.
class YourClassName: UIViewController, MPMapControlDelegate

// 2. Use MPMapControlDelegate to listen to camera changes (zoom lvel change is part of that) with didChangeCameraPosition()

self.mapControl?.delegate = self // This is needed since the delegate will inform of event updates on the map view; we will use it below.

// The following is invoked on every camera change. You can place zoom checking anywhere in your code that is being updated.
func didChangeCameraPosition() -> Bool {
    // 3. do a check against the current projection level and make changes
    // The following is the actual to be put in method that is invoked everytime there is a zoom level change
    if (zoomRange ~= (self.mapControl?.cameraPosition.zoom)!) {
        MPMapsIndoorsShared.solution.config.collisionHandling = .removeIconAndLabel
    } else {
        MPMapsIndoorsShared.solution.config.collisionHandling = .allowOverLap
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapsindoors.com/sdks-and-frameworks/ios/displaying-objects/turn-off-collisions-based-on-zoom-level.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
